Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05904 Graphics Minor Always Mar 31, 2015, 21:53 Sep 6, 2018, 11:13
Tester izius View Status Public Platform MAME (Official Binary)
Assigned To Haze Resolution Fixed OS
Status [?] Resolved Driver sshangha.cpp
Version 0.160 Fixed in Version 0.202 Build
Summary 05904: sshangha, sshanghaj: Sprite priority bug with the ingame message boxes
Description The ingame message boxes (used for Time over, No more moves, Continue?, stone fragment got in quest mode) can appear behind the shanghai tiles, if there are 2 or more rows of tiles stacked in the central part of the screen.

Also, in quest mode, in the cutscene after completing level 4, the player character hand (animated, giving back something to a NPC) is drawn over the story/dialogue box.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems sshangha, sshanghaj
Attached Files
png file icon 0000.png (29,728 bytes) Mar 31, 2015, 21:53 Uploaded by izius
izius
png file icon 0001.png (31,539 bytes) Sep 2, 2018, 21:14 Uploaded by izius
izius
png file icon 0002.png (21,425 bytes) Sep 2, 2018, 21:15 Uploaded by izius
Level 4 cutscene
izius
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.15379
izius
Tester
Sep 2, 2018, 21:19
edited on: Sep 2, 2018, 21:20
Edited the report, adding the new clone supported in 0.201.
Also added other info, like the stone fragment window in quest mode and the level 4 cutscene.